[B004]Normal Sequence Search

post
https://connect.patsnap.com/bio-openapi/sequence/job
Try in Sandbox

Search sequences with key information.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
database
array[ "ALLPATENT" ]
Target Sequence Database,ALLPATENT (default) : Sequence published in patent title/abstract/claims/description;CLAIMS : Sequence published in patent claims;NONPATENT : Sequence published in non-patent publications
limit
Required
integer<int32>1000
Maximum returned results of each query, support maximum 10,000
params
Required
objectPlease check the form: OpenApiBlastParameter
Blast Parameters
algorithm
Required
stringblastn-short
Blast algorithm. nucleotide searching nucleotide uses megablast, blastn or blastn-short. nucleotide searching protein uses blastx-fast. protein searching protein uses blastp, blastp-fast or blastp-short. protein searching nucleotide uses tblastn-fast.
evalue
number<float>100
The higher you set this e-value threshold, the more results you are likely to see.E-Value indicates how likely it is that a sequence is similar to yours simply by chance. For instance, if your sequence is very short, there is a higher likelihood that it appears in several locations simply by chance. The greater the e-value, the more likely it is that this is just down to luck.
filter
objectPlease check the form: OpenApiFilterParameter
Search filter parameters
perc_identity
objectOpenApiBlastParameter
Filter by alignment identity
end
integer<int32>100
End value
start
integer<int32>-
Start value
q_perc_identity
objectOpenApiBlastParameter
Filter by query sequence alignment identity
end
integer<int32>100
End value
start
integer<int32>-
Start value
qcov_hsp_perc
objectOpenApiBlastParameter
Filter by query sequence coverage
end
integer<int32>100
End value
start
integer<int32>-
Start value
s_perc_identity
objectOpenApiBlastParameter
Filter by subject sequence alignment identity
end
integer<int32>100
End value
start
integer<int32>-
Start value
scov_hsp_perc
objectOpenApiBlastParameter
Filter by subject sequence coverage
end
integer<int32>100
End value
start
integer<int32>-
Start value
subject_length
objectOpenApiBlastParameter
Filter by subject sequence length
end
integer<int32>100
End value
start
integer<int32>-
Start value
with_gaps
boolean-
Matching with or without gaps indicates whether or not you want your sequence alignment to include gaps.
word_size
integer<int32>4
Length of initial exact match. For nucleotide searching nucleotide valid word sizes are >= 4, others are 2-7. With smaller word size, the matching will be more exact, but the time cost will be longer.
query_type
Required
stringNUCLEOTIDE
Target Sequence Type. NUCLEOTIDE,PROTEIN
sequence_list
Required
arrayPlease check the form: OpenApiRequestSequenceInfo
Query Sequence, support single input query
label
stringSEQ1
User provided sequence label
sequence
stringGGGAGGCTAAGGCAGGAG
User provided sequence
sequence_type
Required
stringNUCLEOTIDE
Query Sequence Type. NUCLEOTIDE,PROTEIN

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
label
stringSEQ1
User provided sequence label
job_id
string953a406a18d84dc8b13f0b923e406a43
ID of the search job in backend, use this ID for subsequent API calls
sequence
stringGGGAGGCTAAGGCAGGAG
User provided sequence
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "label": "SEQ1",
      "job_id": "953a406a18d84dc8b13f0b923e406a43",
      "sequence": "GGGAGGCTAAGGCAGGAG"
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found
53000001Invalid parameter.
53000003Server internal exception.

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms